@charset "UTF-8";
/* CSS Document */
@import url('https://fonts.googleapis.com/css2?family=Gothic+A1:wght@100;200;300;500;600;700;800;900&display=swap');


body {
	background-image:url('../imgs/background.png');
	height: 100vh;
	font-family: 'Gothic A1', sans-serif;
	background-color: #090909;
}

a {
	color:#efefef;
	text-decoration: none;
}

a:hover {
	color:#dc3545;
	
}

.bg-image {
    position: relative;
    overflow: hidden;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 50%;
}

.fog {
	background-image:url('../imgs/fog2.png');
	height: 100vh;
	animation: movingfog 70s linear infinite;
	
}

@keyframes movingfog {
  100% {background-position:-3000px 0px }
}


#profpunx {
	font-size: 1.2rem;
	color: #efefef;
	overflow: auto;
	position: relative;
	height: 100vh;
}


#profpunx h1, h3 {
	font-size: 1.5rem;
	font-weight: 200;
	text-transform: uppercase;
}

#profpunx h4 {
	font-size: 1rem;
	font-weight: 600;
	text-transform: uppercase;
}

#profpunx h5 {
	font-size: 1rem;
	font-weight: 200;
	text-transform: uppercase;
}

.profpunx-logo {
	max-width: 200px;
	height: auto;
}


#entryform {
	min-height: 100px;
	background-color: rgb(0, 0, 0, .55);
	text-shadow: 0px 1px 8px #000;
	font-size: 1rem;
	font-weight: 400;
	color: #fff;
	margin: 0px;
}

#middleName {
	display: none;
}



.hoverEffect:hover {
	opacity: .5;
	/*transform: scale(.95) translateY(-0.5rem) translateX(0.15rem);*/
	animation: shake 0.5s;
	animation-iteration-count: infinite;
}


@keyframes shake {
  0% { transform: translate(1px, 1px) rotate(0deg); }
  10% { transform: translate(-1px, -2px) rotate(-1deg); }
  20% { transform: translate(-3px, 0px) rotate(1deg); }
  30% { transform: translate(3px, 2px) rotate(0deg); }
  40% { transform: translate(1px, -1px) rotate(1deg); }
  50% { transform: translate(-1px, 2px) rotate(-1deg); }
  60% { transform: translate(-3px, 1px) rotate(0deg); }
  70% { transform: translate(3px, 1px) rotate(-1deg); }
  80% { transform: translate(-1px, -1px) rotate(1deg); }
  90% { transform: translate(1px, 2px) rotate(0deg); }
  100% { transform: translate(1px, -2px) rotate(-1deg); }
}


#sponsors {
	margin-top: 5rem;
	text-align: center;
}


footer {
	font-size: .8rem;
	color: #efefef;
	text-align: center;
	/*position: fixed;
	height: 5vh;
	left: 0;
	bottom: 0;
	width: 100%;
	background-color: rgb(0, 0, 0, .6);*/
}



/*Bootstrap overrides*/
.form-control, .form-select {
	background-color: rgb(255,255,255, .15);
	color: #fff;
}


.form-floating>.form-select~label {
    opacity: 1;
    transform: scale(.85) translateY(-0.5rem) translateX(0.15rem);
}


.form-select option {
    color: #000;
}

.form-control:focus {
	background-color: rgb(255,255,255, .3);
	color: #fff;
}


/*Small devices (landscape phones, 576px and up)*/
@media (min-width: 576px) { 
#entryform {
		margin: 1rem;
	}
}

/*Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) { 
	#entryform {
		margin: 3rem;
	}
}

/*Large devices (desktops, 992px and up)*/
@media (min-width: 992px) {
	
	#entryform {
		margin: 3rem;
	}
	
	.small, small {
		font-size: .775em;
	}
	
}

/*X-Large devices (large desktops, 1200px and up)*/
@media (min-width: 1200px) { 
	#entryform {
		margin: 3rem;
	}
	
	.small, small {
		font-size: .875em;
	}
}
